<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__triggers__psoc6__04" kind="group">
    <compoundname>group_hal_impl_triggers_psoc6_04</compoundname>
    <title>PSOC6_04</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__impl__triggers__psoc6__04_1gae9c98e18d33db79340bd24ec02488d08" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_trigger_dest_psoc6_04_t</name>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a339155faa5281cfedfca0b506fa28f1f" prot="public">
          <name>TRIGGER_CANFD0_TR_DBG_DMA_ACK0</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>CAN DW0 triggers (from DW back to CAN) - canfd[0].tr_dbg_dma_ack[0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08af76ec63647b902eec6da5ee30f32f218" prot="public">
          <name>TRIGGER_CANFD0_TR_EVT_SWT_IN0</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>CAN TT Sync - canfd[0].tr_evt_swt_in[0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ae8ee1cce78bd19afd33261f50275849f" prot="public">
          <name>TRIGGER_CPUSS_CTI_TR_IN0</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>CPUSS Debug trigger multiplexer - cpuss.cti_tr_in[0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a8526fd451aba4dfeea209f44a97d65ce" prot="public">
          <name>TRIGGER_CPUSS_CTI_TR_IN1</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>CPUSS Debug trigger multiplexer - cpuss.cti_tr_in[1]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a13769916b8fe3a772ef0df5576d443a8" prot="public">
          <name>TRIGGER_CPUSS_DMAC_TR_IN0</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>MDMA trigger multiplexer - cpuss.dmac_tr_in[0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a4d6ed5fe7856e51781dd71c89c3ebbfc" prot="public">
          <name>TRIGGER_CPUSS_DMAC_TR_IN1</name>
          <initializer>= 5</initializer>
          <briefdescription>
<para>MDMA trigger multiplexer - cpuss.dmac_tr_in[1]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a59dcca31269cbdcf479d7f4348a7f8fb" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN0</name>
          <initializer>= 6</initializer>
          <briefdescription>
<para>PDMA0 trigger multiplexer - cpuss.dw0_tr_in[0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ac5832904e954417e7722fe916e30aed9" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN1</name>
          <initializer>= 7</initializer>
          <briefdescription>
<para>PDMA0 trigger multiplexer - cpuss.dw0_tr_in[1]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ab2be33a0cdf992a9aaf460ac77f34742" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN2</name>
          <initializer>= 8</initializer>
          <briefdescription>
<para>PDMA0 trigger multiplexer - cpuss.dw0_tr_in[2]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a21023fd979ffa3b92f7c32dfde08e9b5" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN3</name>
          <initializer>= 9</initializer>
          <briefdescription>
<para>PDMA0 trigger multiplexer - cpuss.dw0_tr_in[3]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a190d365d2ca24eaa543ddfd1c59b9070" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN4</name>
          <initializer>= 10</initializer>
          <briefdescription>
<para>PDMA0 trigger multiplexer - cpuss.dw0_tr_in[4]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a7ed7ce4e16e05612710dd7fb92089e00" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN5</name>
          <initializer>= 11</initializer>
          <briefdescription>
<para>PDMA0 trigger multiplexer - cpuss.dw0_tr_in[5]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a405b4329111bbe3bde81ae454a9a3df1" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN6</name>
          <initializer>= 12</initializer>
          <briefdescription>
<para>PDMA0 trigger multiplexer - cpuss.dw0_tr_in[6]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a02d46b098d3bb72c5b34408b788c5b70" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN7</name>
          <initializer>= 13</initializer>
          <briefdescription>
<para>PDMA0 trigger multiplexer - cpuss.dw0_tr_in[7]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a51a16f389ddd36fe8278d40fb706bb7c" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN8</name>
          <initializer>= 14</initializer>
          <briefdescription>
<para>USB PDMA0 Triggers - cpuss.dw0_tr_in[8]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a3119ddb744391f697380a1e30b193aa1" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN9</name>
          <initializer>= 15</initializer>
          <briefdescription>
<para>USB PDMA0 Triggers - cpuss.dw0_tr_in[9]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a048781054f7e9db1e3d1d5a36a9a3c23" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN10</name>
          <initializer>= 16</initializer>
          <briefdescription>
<para>USB PDMA0 Triggers - cpuss.dw0_tr_in[10]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a50c16ac806e546d7e335ef76aad9c599" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN11</name>
          <initializer>= 17</initializer>
          <briefdescription>
<para>USB PDMA0 Triggers - cpuss.dw0_tr_in[11]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a65660e2df19d36b599d3c733dda6a6f8" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN12</name>
          <initializer>= 18</initializer>
          <briefdescription>
<para>USB PDMA0 Triggers - cpuss.dw0_tr_in[12]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a37ce1901e0d832418c7c97a88bf95269" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN13</name>
          <initializer>= 19</initializer>
          <briefdescription>
<para>USB PDMA0 Triggers - cpuss.dw0_tr_in[13]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08af9e03807927c18419f0895d860ed10a7" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN14</name>
          <initializer>= 20</initializer>
          <briefdescription>
<para>USB PDMA0 Triggers - cpuss.dw0_tr_in[14]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08afea88035d1b0457fa6ff23c3f50856d7" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN15</name>
          <initializer>= 21</initializer>
          <briefdescription>
<para>USB PDMA0 Triggers - cpuss.dw0_tr_in[15]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a495b059ecd2c64f96fd5dfff1adc295f" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN16</name>
          <initializer>= 22</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[16]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a3bd4c9f3a1f4b020fa862295cbccc81f" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN17</name>
          <initializer>= 23</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[17]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08aa55eb7a61a600daeeda12fb75d75d378" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN18</name>
          <initializer>= 24</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[18]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a9fc6d272b76100ac5aac8fb3303dced5" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN19</name>
          <initializer>= 25</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[19]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08abffae9cb3750a64c654ed26d1c0eaecc" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN20</name>
          <initializer>= 26</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[20]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ac75491702c281fa256bfebca75f0a428" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN21</name>
          <initializer>= 27</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[21]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a20b7402ce3d89e9d9b01d032235c3f42" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN22</name>
          <initializer>= 28</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[22]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ab55b362f04185b69e868b76115690814" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN23</name>
          <initializer>= 29</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[23]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a6e009f3f25cd59c6db6cc6c4877abde4" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN24</name>
          <initializer>= 30</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[24]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a461201f8dfb74db58b7978cfa45695db" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN25</name>
          <initializer>= 31</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[25]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ac1d97254ea718f0e361b38b5bf2a667e" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN26</name>
          <initializer>= 32</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[26]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a69d5ba052ff026435ba2785f1cace927" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN27</name>
          <initializer>= 33</initializer>
          <briefdescription>
<para>SCB PDMA0 Triggers - cpuss.dw0_tr_in[27]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08aaa0960cdf5aa3ff12aa1eab07bc5d9ec" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN28</name>
          <initializer>= 34</initializer>
          <briefdescription>
<para>SAR0 to PDMA1 direct connect - cpuss.dw0_tr_in[28]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08afa0a27805f42c9d87e96b9cc85e3646a" prot="public">
          <name>TRIGGER_CPUSS_DW0_TR_IN29</name>
          <initializer>= 35</initializer>
          <briefdescription>
<para>SAR1 to PDMA1 direct connect - cpuss.dw0_tr_in[29]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ab505fe04f23de1a200004f118cfabafb" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN0</name>
          <initializer>= 36</initializer>
          <briefdescription>
<para>PDMA1 trigger multiplexer - cpuss.dw1_tr_in[0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a3fba810f4d13290b23d1362cc1ae83f3" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN1</name>
          <initializer>= 37</initializer>
          <briefdescription>
<para>PDMA1 trigger multiplexer - cpuss.dw1_tr_in[1]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a77c0f8889a44e854f61fb6cc4c6b0076" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN2</name>
          <initializer>= 38</initializer>
          <briefdescription>
<para>PDMA1 trigger multiplexer - cpuss.dw1_tr_in[2]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a4c81762378bd22ca089856456da02a56" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN3</name>
          <initializer>= 39</initializer>
          <briefdescription>
<para>PDMA1 trigger multiplexer - cpuss.dw1_tr_in[3]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a3be46b61bf4a52991818ecb68bcb2f44" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN4</name>
          <initializer>= 40</initializer>
          <briefdescription>
<para>PDMA1 trigger multiplexer - cpuss.dw1_tr_in[4]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a451dd1e84f93daf35c7333868f3d0d5d" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN5</name>
          <initializer>= 41</initializer>
          <briefdescription>
<para>PDMA1 trigger multiplexer - cpuss.dw1_tr_in[5]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ae2054a1573623bac8765f51ae6761e08" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN6</name>
          <initializer>= 42</initializer>
          <briefdescription>
<para>PDMA1 trigger multiplexer - cpuss.dw1_tr_in[6]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ade09e15fb40e9ad7f6681df499e2fdc1" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN7</name>
          <initializer>= 43</initializer>
          <briefdescription>
<para>PDMA1 trigger multiplexer - cpuss.dw1_tr_in[7]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a57d6eb41fa86aee35ec7da7e033af504" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN8</name>
          <initializer>= 44</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[8]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a067f814ad18c08fa873be6d3f6849b3a" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN9</name>
          <initializer>= 45</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[9]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08aecf96e2b9c22940c1b0a1338ecd0b33d" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN10</name>
          <initializer>= 46</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[10]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08acb7bd06eb8ff39e5ad2663da4f88c719" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN11</name>
          <initializer>= 47</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[11]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a54e47997df4f9835a7eb53a1ab453641" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN12</name>
          <initializer>= 48</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[12]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08aceb73709ca7e6ecac650ea223e173f74" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN13</name>
          <initializer>= 49</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[13]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a02517b9ce500bb0458db53aa5b8a3b07" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN14</name>
          <initializer>= 50</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[14]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a561790ee0e03a8b13c1ea3eda3d3b1f2" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN15</name>
          <initializer>= 51</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[15]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08abdc35d317236767f43cf843d9e1d0f63" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN16</name>
          <initializer>= 52</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[16]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a5e155c782bc2dac6aafae10fc7fa8411" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN17</name>
          <initializer>= 53</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[17]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a4bd5d2795447449eb7c46c1914ee3ab6" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN18</name>
          <initializer>= 54</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[18]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ab109fa7ac649e9b9ef3116407cdd3900" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN19</name>
          <initializer>= 55</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[19]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ab5b376948a1958655060d02dffbb7bb7" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN20</name>
          <initializer>= 56</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[20]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ae5287fd9bca470df5d18d32e2379188b" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN21</name>
          <initializer>= 57</initializer>
          <briefdescription>
<para>SCB PDMA1 Triggers - cpuss.dw1_tr_in[21]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08aca3865406082916b4331190f9cf989b7" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN22</name>
          <initializer>= 58</initializer>
          <briefdescription>
<para>SMIF to PDMA1 direct connect - cpuss.dw1_tr_in[22]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a467f43061de17e09768cd104752a44b9" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN23</name>
          <initializer>= 59</initializer>
          <briefdescription>
<para>SMIF to PDMA1 direct connect - cpuss.dw1_tr_in[23]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08acee92d00130c8368e0d47eda1fd503ef" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN24</name>
          <initializer>= 60</initializer>
          <briefdescription>
<para>SMIF to PDMA1 direct connect - cpuss.dw1_tr_in[24]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ab76762c550c0a13cc598b255746043a0" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN25</name>
          <initializer>= 61</initializer>
          <briefdescription>
<para>SMIF to PDMA1 direct connect - cpuss.dw1_tr_in[25]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a4c6fa52f32bb6f369cd06b767ad4c71a" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN26</name>
          <initializer>= 62</initializer>
          <briefdescription>
<para>SMIF to PDMA1 direct connect - cpuss.dw1_tr_in[26]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a1be1ea9a804a48039d00cb45ec5202dc" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN27</name>
          <initializer>= 63</initializer>
          <briefdescription>
<para>SMIF to PDMA1 direct connect - cpuss.dw1_tr_in[27]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a03859e94b2de0bd0681a744afab91952" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN28</name>
          <initializer>= 64</initializer>
          <briefdescription>
<para>SMIF to PDMA1 direct connect - cpuss.dw1_tr_in[28]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ab75467ab37aff7cf28b9d1aa740250c5" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN29</name>
          <initializer>= 65</initializer>
          <briefdescription>
<para>CAN PDMA1 triggers - cpuss.dw1_tr_in[29]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08afeebe9e1704081c2259f11dd856bc51e" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN30</name>
          <initializer>= 66</initializer>
          <briefdescription>
<para>CAN PDMA1 triggers - cpuss.dw1_tr_in[30]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a9d02eb1df3ac56f997ad27bbb8c4073f" prot="public">
          <name>TRIGGER_CPUSS_DW1_TR_IN31</name>
          <initializer>= 67</initializer>
          <briefdescription>
<para>CAN PDMA1 triggers - cpuss.dw1_tr_in[31]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a787a2ca2230157504dcd03be3ceff4be" prot="public">
          <name>TRIGGER_CSD_DSI_START</name>
          <initializer>= 68</initializer>
          <briefdescription>
<para>Capsense trigger multiplexer - csd.dsi_start. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a5842d189b596bb7047c84bff2d1ecc5a" prot="public">
          <name>TRIGGER_PASS_DSI_CTDAC_STROBE</name>
          <initializer>= 69</initializer>
          <briefdescription>
<para>CTDAC trigger multiplexer - pass.dsi_ctdac_strobe. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a112498fe77fcb911bbefa0e304946196" prot="public">
          <name>TRIGGER_PASS_TR_SAR_IN0</name>
          <initializer>= 70</initializer>
          <briefdescription>
<para>ADC trigger multiplexer - pass.tr_sar_in[0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ad19c62f3bdd8b0fc426eccba3551b00f" prot="public">
          <name>TRIGGER_PASS_TR_SAR_IN1</name>
          <initializer>= 71</initializer>
          <briefdescription>
<para>ADC trigger multiplexer - pass.tr_sar_in[1]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08adc5ebe2bb7ff2e330bece17760fc4c8f" prot="public">
          <name>TRIGGER_PERI_TR_DBG_FREEZE</name>
          <initializer>= 72</initializer>
          <briefdescription>
<para>PERI Freeze trigger multiplexer - peri.tr_dbg_freeze. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a363772d05c57f57cda0107fe3bab3161" prot="public">
          <name>TRIGGER_PERI_TR_IO_OUTPUT0</name>
          <initializer>= 73</initializer>
          <briefdescription>
<para>HSIOM trigger multiplexer - peri.tr_io_output[0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08aca0e6a088350defcb49a8db1142710e0" prot="public">
          <name>TRIGGER_PERI_TR_IO_OUTPUT1</name>
          <initializer>= 74</initializer>
          <briefdescription>
<para>HSIOM trigger multiplexer - peri.tr_io_output[1]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08aa4a08db51fc003949e989aea6e5c3e27" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN0</name>
          <initializer>= 75</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08abe83ae5ae27a3680a2a20dbf20fcee99" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN1</name>
          <initializer>= 76</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[1]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08af67783f1d5fc96a344665a5f249dde5d" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN2</name>
          <initializer>= 77</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[2]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08af757400d82aaa9fcf1a0ae3384fb0780" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN3</name>
          <initializer>= 78</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[3]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a41ac11e753e2f68279bcc974de9e0ac0" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN4</name>
          <initializer>= 79</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[4]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a5f341cced32a2746907826e485e7993f" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN5</name>
          <initializer>= 80</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[5]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a967e7dd8eebe970013a0144cfa1a63b9" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN6</name>
          <initializer>= 81</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[6]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ab2fe2b7cb6a94455b57f84e82a3d090e" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN7</name>
          <initializer>= 82</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[7]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a30c0e152712e1e90a4e14c924ef4966f" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN8</name>
          <initializer>= 83</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[8]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a76dfefa8d437bc83f85747098777b14a" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN9</name>
          <initializer>= 84</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[9]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a205789199b6b03e5204a825005b80209" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN10</name>
          <initializer>= 85</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[10]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a4c89089398ec3d2645ff3c2035b91a4b" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN11</name>
          <initializer>= 86</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[11]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ae18d2ffcd6483b4b5d2b082103ea17fd" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN12</name>
          <initializer>= 87</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[12]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a8f6258f63ae7e50c91ad616957cff6d1" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN13</name>
          <initializer>= 88</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - tcpwm[0].tr_all_cnt_in[13]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a258632a81195822b575ea2665b7c2c20" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN14</name>
          <initializer>= 89</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[14]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a7b858f016e2fbaf4de759fc9bc1bee6b" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN15</name>
          <initializer>= 90</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[15]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a7c9eaa32da25a8b6424b119035f2e655" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN16</name>
          <initializer>= 91</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[16]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a5e9a83d144163a6b0f819ca3aba5c5d1" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN17</name>
          <initializer>= 92</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[17]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a299e5ec57f17962f0f7d8135a8963f99" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN18</name>
          <initializer>= 93</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[18]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a5bbaa64b59ffd7e0ebdfd4ddb4793913" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN19</name>
          <initializer>= 94</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[19]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08add38dd0d143ef78c8ab785033a913fb7" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN20</name>
          <initializer>= 95</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[20]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ac434df8afbd22144ab297f3980dcea0f" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN21</name>
          <initializer>= 96</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[21]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a83d15d04850e581dea9fa861a9619d0f" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN22</name>
          <initializer>= 97</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[22]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a431bb08b02e0b87d47c92d6875c84b11" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN23</name>
          <initializer>= 98</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[23]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08afd64e889731b164ca2f596a4ec48a724" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN24</name>
          <initializer>= 99</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[24]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a9a1d5818fcce18d24cfdbfd88eec43b3" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN25</name>
          <initializer>= 100</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[25]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08aeab231fe885fd035d87ecb6868b0b59c" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN26</name>
          <initializer>= 101</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[26]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a49ec1d8813659d747dfe7ecf164949a4" prot="public">
          <name>TRIGGER_TCPWM0_TR_ALL_CNT_IN27</name>
          <initializer>= 102</initializer>
          <briefdescription>
<para>TCPWM0 trigger multiplexer - 2nd - tcpwm[0].tr_all_cnt_in[27]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08acc8ec4cd5d050b0a595bc09e4894244a" prot="public">
          <name>TRIGGER_TCPWM0_TR_DEBUG_FREEZE</name>
          <initializer>= 103</initializer>
          <briefdescription>
<para>PERI Freeze trigger multiplexer - tcpwm[0].tr_debug_freeze. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a9bb637b83181e9b9dcea288f4e7a992a" prot="public">
          <name>TRIGGER_USB_DMA_BURSTEND0</name>
          <initializer>= 104</initializer>
          <briefdescription>
<para>USB PDMA0 Acknowledge Triggers - usb.dma_burstend[0]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a1b9210a959036a17c913310f8840c64d" prot="public">
          <name>TRIGGER_USB_DMA_BURSTEND1</name>
          <initializer>= 105</initializer>
          <briefdescription>
<para>USB PDMA0 Acknowledge Triggers - usb.dma_burstend[1]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08aa7059fa46c0eb14bd41ba7fa72b20f12" prot="public">
          <name>TRIGGER_USB_DMA_BURSTEND2</name>
          <initializer>= 106</initializer>
          <briefdescription>
<para>USB PDMA0 Acknowledge Triggers - usb.dma_burstend[2]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a4ccffefafbf0b050aaba36e102b40925" prot="public">
          <name>TRIGGER_USB_DMA_BURSTEND3</name>
          <initializer>= 107</initializer>
          <briefdescription>
<para>USB PDMA0 Acknowledge Triggers - usb.dma_burstend[3]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08ad70f7ad90cddc4a7948617e6ec7585a0" prot="public">
          <name>TRIGGER_USB_DMA_BURSTEND4</name>
          <initializer>= 108</initializer>
          <briefdescription>
<para>USB PDMA0 Acknowledge Triggers - usb.dma_burstend[4]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08a306ff4f4b52defbd6b9897b900c62a03" prot="public">
          <name>TRIGGER_USB_DMA_BURSTEND5</name>
          <initializer>= 109</initializer>
          <briefdescription>
<para>USB PDMA0 Acknowledge Triggers - usb.dma_burstend[5]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08abc23fa750a52be075e5fd9523ef99015" prot="public">
          <name>TRIGGER_USB_DMA_BURSTEND6</name>
          <initializer>= 110</initializer>
          <briefdescription>
<para>USB PDMA0 Acknowledge Triggers - usb.dma_burstend[6]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__triggers__psoc6__04_1ggae9c98e18d33db79340bd24ec02488d08adb1a40940305beffa637ce761de4f419" prot="public">
          <name>TRIGGER_USB_DMA_BURSTEND7</name>
          <initializer>= 111</initializer>
          <briefdescription>
<para>USB PDMA0 Acknowledge Triggers - usb.dma_burstend[7]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_trigger_dest_psoc6_04_t: </bold><linebreak />Name of each output trigger.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="157" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/triggers/cyhal_triggers_psoc6_04.h" bodystart="43" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/triggers/cyhal_triggers_psoc6_04.h" line="44" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__impl__triggers__psoc6__04_1ga5b2363484c5c8fbd6b41338d695a0d92" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__triggers__psoc6__04_1gae9c98e18d33db79340bd24ec02488d08">cyhal_trigger_dest_psoc6_04_t</ref></type>
        <definition>typedef cyhal_trigger_dest_psoc6_04_t cyhal_dest_t</definition>
        <argsstring />
        <name>cyhal_dest_t</name>
        <briefdescription>
<para>Typedef from device family specific trigger dest to generic trigger dest. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/triggers/cyhal_triggers_psoc6_04.h" bodystart="160" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/triggers/cyhal_triggers_psoc6_04.h" line="160" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Trigger connections for psoc6_04. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>